Categories:
  - Sports & Health
License: GPL-3.0-only
AuthorEmail: brandon@presley.nz
SourceCode: https://gitea.presley.nz/brandon.presley/Massive
IssueTracker: https://gitea.presley.nz/brandon.presley/Massive/issues

AutoName: Massive

RepoType: git
Repo: https://gitea.presley.nz/brandon.presley/Massive

Builds:
  - versionName: '1.2'
    versionCode: 36007
    commit: '36007'
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    init: yarn install
    gradle:
      - yes
    output: build/outputs/apk/release/app-arm64-v8a-release-unsigned.apk
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android/com/facebook/react/react-native/*/
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/@react-native-masked-view/masked-view/android/build.gradle
      - node_modules/react-native/template/android/build.gradle
      - node_modules/react-native/ReactAndroid/hermes-engine/build.gradle
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-linear-gradient/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/@types/react-native-svg-charts/node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-pager-view/android/build.gradle
    scandelete:
      - node_modules/
      - .yarn
    ndk: r21d

  - versionName: '1.2'
    versionCode: 36008
    commit: 40d4fac65899dd1720c9dab00feb1ac859491538
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    init: yarn install
    gradle:
      - yes
    output: build/outputs/apk/release/app-arm64-v8a-release-unsigned.apk
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android/com/facebook/react/react-native/*/
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/@react-native-masked-view/masked-view/android/build.gradle
      - node_modules/react-native/template/android/build.gradle
      - node_modules/react-native/ReactAndroid/hermes-engine/build.gradle
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-linear-gradient/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/@types/react-native-svg-charts/node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-pager-view/android/build.gradle
    scandelete:
      - node_modules/
      - .yarn
    ndk: r21d

  - versionName: '1.3'
    versionCode: 36009
    commit: 91d0cbaed804c1e30726804ce11c9ca4ce9531a2
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    init: yarn install
    gradle:
      - yes
    output: build/outputs/apk/release/app-arm64-v8a-release-unsigned.apk
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android/com/facebook/react/react-native/*/
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/@react-native-masked-view/masked-view/android/build.gradle
      - node_modules/react-native/template/android/build.gradle
      - node_modules/react-native/ReactAndroid/hermes-engine/build.gradle
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-linear-gradient/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/@types/react-native-svg-charts/node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-pager-view/android/build.gradle
    scandelete:
      - node_modules/
      - .yarn
    ndk: r21d

  - versionName: '1.3'
    versionCode: 36010
    commit: 63049eed52f0359cf1a091cdc841b45b64834dfe
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    init: yarn install
    gradle:
      - yes
    output: build/outputs/apk/release/app-arm64-v8a-release-unsigned.apk
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android/com/facebook/react/react-native/*/
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/@react-native-masked-view/masked-view/android/build.gradle
      - node_modules/react-native/template/android/build.gradle
      - node_modules/react-native/ReactAndroid/hermes-engine/build.gradle
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-linear-gradient/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/@types/react-native-svg-charts/node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-pager-view/android/build.gradle
    scandelete:
      - node_modules/
      - .yarn
    ndk: r21d

  - versionName: '1.3'
    versionCode: 36011
    commit: d4e8bd84d16ed64b3b0dbde5ad17a5d718e6478e
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.13.1/node-v16.13.1-linux-x64.tar.xz
      - echo "a3721f87cecc0b52b0be8587c20776ac7305db413751db02c55aa2bffac15198 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    init: yarn install
    gradle:
      - yes
    output: build/outputs/apk/release/app-arm64-v8a-release-unsigned.apk
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android/com/facebook/react/react-native/*/
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/@react-native-masked-view/masked-view/android/build.gradle
      - node_modules/react-native/template/android/build.gradle
      - node_modules/react-native/ReactAndroid/hermes-engine/build.gradle
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-linear-gradient/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/@types/react-native-svg-charts/node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-pager-view/android/build.gradle
    scandelete:
      - node_modules/
      - .yarn
    ndk: r21d

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: '1.3'
CurrentVersionCode: 36011
